...
 
Commits (7)
python-cryptography (1.7.1-3~bpo8+1) jessie-backports; urgency=medium
* Rebuild for jessie-backports.
-- Tristan Seligmann <mithrandi@debian.org> Fri, 09 Jun 2017 23:14:39 +0200
python-cryptography (1.7.1-3) unstable; urgency=medium
* Apply patch 6e7ea2e7 from upstream to fix compilation against OpenSSL
......@@ -65,6 +71,18 @@ python-cryptography (1.4-1) unstable; urgency=medium
-- Tristan Seligmann <mithrandi@debian.org> Thu, 23 Jun 2016 00:26:35 +0200
python-cryptography (1.3.4-1~bpo8+2) jessie-backports; urgency=medium
* Restore cffi workaround that is still necessary.
-- Tristan Seligmann <mithrandi@debian.org> Wed, 22 Jun 2016 23:22:02 +0200
python-cryptography (1.3.4-1~bpo8+1) jessie-backports; urgency=medium
* Rebuild for jessie-backports.
-- Tristan Seligmann <mithrandi@debian.org> Mon, 20 Jun 2016 18:06:58 +0200
python-cryptography (1.3.4-1) unstable; urgency=medium
* New upstream release.
......@@ -124,6 +142,12 @@ python-cryptography (1.2.1-1) unstable; urgency=medium
-- Tristan Seligmann <mithrandi@debian.org> Sat, 23 Jan 2016 04:19:44 +0200
python-cryptography (1.1.1-1~bpo8+1) jessie-backports; urgency=medium
* Rebuild for jessie-backports.
-- Tristan Seligmann <mithrandi@debian.org> Mon, 18 Jan 2016 21:05:27 +0200
python-cryptography (1.1.1-1) unstable; urgency=medium
* New upstream release.
......
......@@ -20,7 +20,7 @@ Build-Depends:
python-pyasn1 (>= 0.1.8~),
python-pyasn1-modules <!nocheck>,
python-pytest (>= 2.9.0) <!nocheck>,
python-setuptools (>= 11.3),
python-setuptools (>= 11.3~),
python-six (>= 1.4.1~),
python-sphinx-rtd-theme <!nodoc>,
python-tz <!nocheck>,
......@@ -35,7 +35,7 @@ Build-Depends:
python3-pyasn1 (>= 0.1.8~),
python3-pyasn1-modules <!nocheck>,
python3-pytest (>= 2.9.0) <!nocheck>,
python3-setuptools (>= 11.3),
python3-setuptools (>= 11.3~),
python3-six (>= 1.4.1~),
python3-sphinx <!nodoc>,
python3-tz <!nocheck>,
......
......@@ -32,3 +32,20 @@ override_dh_auto_build:
https_proxy='127.0.0.1:9' \
sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
endif
override_dh_python2:
dh_python2
# Remove "cffi" from requires after dh_python has seen it (so that the
# pydist file takes effect), because it is not actually needed at
# runtime.
sed -i '/^cffi/d' \
debian/python-cryptography/usr/lib/python*/dist-packages/cryptography*.egg-info/requires.txt
override_dh_python3:
dh_python3
rm -rf debian/python3-cryptography/usr/lib/python3.?
# See comment in override_dh_python2
sed -i '/^cffi/d' \
debian/python3-cryptography/usr/lib/python3/dist-packages/cryptography*.egg-info/requires.txt